Conll02NameSampleStream.LANGUAGE (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats

## Enum Conll02NameSampleStream.LANGUAGE

- java.lang.Object
- - java.lang.Enum<Conll02NameSampleStream.LANGUAGE>
  - - opennlp.tools.formats.Conll02NameSampleStream.LANGUAGE

- All Implemented Interfaces:
    Serializable, Comparable<Conll02NameSampleStream.LANGUAGE>
  Enclosing class:
    Conll02NameSampleStream

      public static enum Conll02NameSampleStream.LANGUAGE
      extends Enum<Conll02NameSampleStream.LANGUAGE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NLD`
    `SPA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Conll02NameSampleStream.LANGUAGE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Conll02NameSampleStream.LANGUAGE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NLD

          public static final Conll02NameSampleStream.LANGUAGE NLD

    - #### SPA

          public static final Conll02NameSampleStream.LANGUAGE SPA

  - ### Method Detail

    - #### values

          public static Conll02NameSampleStream.LANGUAGE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Conll02NameSampleStream.LANGUAGE c : Conll02NameSampleStream.LANGUAGE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Conll02NameSampleStream.LANGUAGE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.